Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.protocols
Class ENCRYPT.EncryptHeader

    java.lang.Object
      org.jgroups.Header
          org.jgroups.protocols.ENCRYPT.EncryptHeader

All Implemented Interfaces:
  Streamable

Enclosing class:
  ENCRYPT

    public static class ENCRYPT.EncryptHeader

extends Header

Field Summary
`static short` | `ENCRYPT`
`static short` | `KEY_REQUEST`
`static short` | `SECRETKEY`
`static short` | `SECRETKEY_READY`
`static short` | `SERVER_PUBKEY`

Constructor Summary
`ENCRYPT.EncryptHeader()`
`ENCRYPT.EncryptHeader(short type)`
`ENCRYPT.EncryptHeader(short type, java.lang.String version)`

Method Summary
`protected short` | `getType()`
`protected java.lang.String` | `getVersion()`
`void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`int` | `size()` To be implemented by subclasses.
`java.lang.String` | `toString()`
`void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENCRYPT

    public static final short ENCRYPT

See Also:
  Constant Field Values

### KEY_REQUEST

    public static final short KEY_REQUEST

See Also:
  Constant Field Values

### SERVER_PUBKEY

    public static final short SERVER_PUBKEY

See Also:
  Constant Field Values

### SECRETKEY

    public static final short SECRETKEY

See Also:
  Constant Field Values

### SECRETKEY_READY

    public static final short SECRETKEY_READY

See Also:
  Constant Field Values

Constructor Detail

### ENCRYPT.EncryptHeader

    public ENCRYPT.EncryptHeader()

### ENCRYPT.EncryptHeader

    public ENCRYPT.EncryptHeader(short type)

### ENCRYPT.EncryptHeader

    public ENCRYPT.EncryptHeader(short type,
                                 java.lang.String version)

Method Detail

### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

  Description copied from interface: `Streamable`
  Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

  Throws:
    `java.io.IOException`

### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

  Description copied from interface: `Streamable`
  Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

  Throws:
    `java.io.IOException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Header`

### size

    public int size()

  Description copied from class: `Header`
  To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

  Specified by:
    `size` in class `Header`

### getType

    protected short getType()

  Returns:
    Returns the type.

### getVersion

    protected java.lang.String getVersion()

  Returns:
    Returns the version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.